#include <bits/stdc++.h>
using namespace std;

void ispis(char c, int brc, char d, int brd){
	while(brc > 0){
		printf("%c%c", c, d);
		brc--;
	}
	printf("\n");
}
int main(){
	char a, b;
	scanf("%c%c", &a, &b);
	
	int bra, brb;
	scanf("%d %d", &bra, &brb);

	if(abs(bra - brb) >= 2){
		printf("nemoguce\n");
	}
	else if(brb > bra){
		printf("%c", b); brb--;
		ispis(a, bra, b, brb);
	}
	else if(bra > brb){
		printf("%c", a); bra--;
		ispis(b, brb, a, bra);
	}
	else{
		ispis(a, bra, b, brb);
	}

	return 0;
}